/**
 * perseus/connector: this is an implementation of some JCA-related technologies
 * (resource adapters and managers) for the ObjectWeb consortium.
 * Copyright (C) 2001-2002 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 */

package org.objectweb.perseus.connector.ra.fos;


import javax.resource.spi.ConnectionManager;

/**
 * @author	S. Chassande-Barrioz, P. Dechamboux
 */
public interface FosAttributeControler {
	/**
	 * Gives access to the URL associated with a FOS adapter.
	 */
	String getConnectionURL();

	/**
	 * Changes the URL associated with a FOS adapter.
	 */
	void setConnectionURL(String url);

	/**
	 * Gives access to the status wrt initialization at next start a FOS adapter.
	 */
	boolean getInitializeAtStartUp();

	/**
	 * Changes the status wrt initialization at next start a FOS adapter.
	 */
	void setInitializeAtStartUp(boolean init);

	/**
	 * Gives access to the ConnectionManager associated with a FOS adapter.
	 */
	ConnectionManager getConnectionManager();

	/**
	 * Changes the ConnectionManager associated with a FOS adapter.
	 */
	void setConnectionManager(ConnectionManager cm);
}