/**
 * Copyright (C) 2000
 */

package org.objectweb.perseus.fos.api;

/**
 * Defines the exception raised by all File Object Store related functions.
 * @author	S. Chassande-Barrioz, P. Dchamboux
 */
public class FosException extends Exception {
	/**
	 * The nested exception if any.
	 */
	private Exception nestedException = null;

	/**
	 * Constructs an exception merely with an error message.
	 * @param errmsg	The error message.
	 */
	public FosException(String errmsg) {
		super(errmsg);
	}

	/**
	 * Constructs an exception with an error message and a nested exception.
	 * @param errmsg	The error message.
	 */
	public FosException(String errmsg, Exception e) {
		super(errmsg + " [has a nested exception]");
		nestedException = e;
	}

	/**
	 * Returns the nested exception if any.
	 * @return	The nested exception.
	 */
	public Exception getNestedException() {
		return nestedException;
	}
}
